#ifndef DRIVER_DG408_
#define DRIVER_DG408_

#include <zephyr/kernel.h>

enum outputs
{
        DG408_OUTPUT_1 = 1,
        DG408_OUTPUT_2,
        DG408_OUTPUT_3,
        DG408_OUTPUT_4,
        DG408_OUTPUT_5,
        DG408_OUTPUT_6,
        DG408_OUTPUT_7,
        DG408_OUTPUT_8,
};

/**
 * @brief Select an output
 * 
 * Select the given output of the given device
 * 
 * @param dev Pointer to the device
 * @param output_selected the output number to enable
 * 
 * @retval 0 on success;
 * @retval <0 negative errno code on error. 
 */
int dg408_set(const struct device *dev, 
        uint8_t output_selected);

#endif //DRIVER_PDG408_