#ifndef DRIVER_PCA9546A_
#define DRIVER_PCA9546A_

#include <zephyr/kernel.h>

#define NO_OUTPUT 0
#define OUTPUT_B0 BIT(0)
#define OUTPUT_B1 BIT(1)
#define OUTPUT_B2 BIT(2)
#define OUTPUT_B3 BIT(3)

/**
 * @brief Select an output
 * 
 * Enable the given output of the given device
 * 
 * @param dev Pointer to the device
 * @param output_selected the output number to enable
 * 
 * @retval 0 on success;
 * @retval <0 negative errno code on error. 
 */
int pca9546a_select(const struct device *dev, 
        uint8_t output_selected);

#endif //DRIVER_PCA9546A_