#ifndef DRIVER_PCA9574_
#define DRIVER_PCA9574_

#include <zephyr/kernel.h>

enum registers
{
    REGISTER_IN = 0,
    REGISTER_INVRT,
    REGISTER_BKEN,
    REGISTER_PUDP,
    REGISTER_CFG,
    REGISTER_OUT,
    REGISTER_MSK,
    REGISTER_INTS,
};


/**
 * @brief Set a gpio high
 * 
 * Set the given GPIO to a high state
 * 
 * @param dev Pointer to the device
 * @param gpio_nb to set, from 0 to 7
 * 
 * @retval 0 on success;
 * @retval <0 negative errno code on error. 
 */
int pca9574_set_gpio_high(const struct device *dev, uint8_t gpio_nb);

/**
 * @brief Set a gpio high
 * 
 * Set the given GPIO to a low state
 * 
 * @param dev Pointer to the device
 * @param gpio_nb to set, from 0 to 7
 * 
 * @retval 0 on success;
 * @retval <0 negative errno code on error. 
 */
int pca9574_set_gpio_low(const struct device *dev, uint8_t gpio_nb);

int pca9574_setup(const struct device *dev);

#endif //DRIVER_PCA9574_