#include <zephyr/shell/shell.h>
#include <stdlib.h>
#include <string.h>
#include <zephyr/sys/util.h>

 static int cmd_test_first(const struct shell *sh,
               size_t argc, char **argv, void *data)
 {
     int val = (int)data;
     shell_print(sh, "(syntax, value) : (%s, %d)", argv[0], val);
     return 0;
 }

 SHELL_SUBCMD_DICT_SET_CREATE(sub_reset_cmds, cmd_test_first,
     (cold, 0, "cold reset"), (warm, 1, "warm reset")
 );

SHELL_STATIC_SUBCMD_SET_CREATE(sub_mod_sys_cmds,
    SHELL_CMD(reset, &sub_reset_cmds,
      "Reset the system",
      NULL),
    SHELL_SUBCMD_SET_END     /* Array terminated. */
    );

SHELL_CMD_REGISTER(modsys, &sub_mod_sys_cmds, 
        "Modular system control command set", NULL);
